Subject: Re: [RFC/PATCH 0/16] Ops based MSI Implementation

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 27 Jan 2007 08:58:03 +1100

> Hrm ok. IRQ migration shouldn't surprise anyone.
> I expect the "virq" (linux IRQ #) would hide the values changing
> in a Suspend/resume event. If the code isn't doing that for platforms
> that support suspend/resume, then I agree it's broken.

All if this is entirely backend business at this point. Michael's latest
code drop is apparently still missing suspend/resume hooks though, we
need to fix that. What those hooks do is backend specific. For example,
on MPIC machines, the vector will stay the same and it's really only a
matter of re-programming the HW with the same values. On RTAS (if we
ever implement suspend-to-something on pSeries), we would probably get
different vectors and thus have to update the virq->vector mapping.

Since virtual IRQs are something implemented by each platform
differently, none of that can be put in the generic code anyway.

Ben.